# class SS7MsgSNM | SNM signalling message. More...
Full name | `TelEngine::SS7MsgSNM`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingMessage [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { Unknown = 0, COO = 0x11, ECO = 0x12, RCT = 0x13, TFP = 0x14, RST = 0x15, RSP = RST, LIN = 0x16, TRA = 0x17, DLC = 0x18, UPU = 0x1a, COA = 0x21, ECA = 0x22, TFC = 0x23, TCP = 0x24, TFPA = TCP, RSR = 0x25, LUN = 0x26, TRW = 0x27, CSS = 0x28, XCO = 0x31, TFR = 0x34, RCP = 0x35, LIA = 0x36, CNS = 0x38, XCA = 0x41, TCR = 0x44, RCR = 0x45, LUA = 0x46, CNP = 0x48, CBD = 0x51, TFA = 0x54, LID = 0x56, CBA = 0x61, TCA = 0x64, TFAA = TCA, LFU = 0x66, LLT = 0x76, LLI = LLT, LRT = 0x86, LRI = LRT, }
- enum Group { CHM = 0x01, ECM = 0x02, FCM = 0x03, TFM = 0x04, RSM = 0x05, MIM = 0x06, TRM = 0x07, DLM = 0x08, UFC = 0x0a, }

#### Public Methods

- SS7MsgSNM (unsigned char type)
- inline unsigned char type () const
- inline unsigned char group () const
- void toString (String& dest, const SS7Label& label, bool params) const

#### Public Static Methods

- static SS7MsgSNM* parse (SS7Management* receiver, unsigned char type, SS7PointCode::Type pcType, const unsigned char* buf, unsigned int len)
- static const TokenDict* names ()
- static inline const char* lookup (Type type, const char* defvalue = 0)
- static inline Type lookup (const char* name, Type defvalue = Unknown)

## Detailed Description

Decoded Signalling Network Management (SNM) User Part message

enum Type { Unknown = 0, COO = 0x11, ECO = 0x12, RCT = 0x13, TFP = 0x14, RST = 0x15, RSP = RST, LIN = 0x16, TRA = 0x17, DLC = 0x18, UPU = 0x1a, COA = 0x21, ECA = 0x22, TFC = 0x23, TCP = 0x24, TFPA = TCP, RSR = 0x25, LUN = 0x26, TRW = 0x27, CSS = 0x28, XCO = 0x31, TFR = 0x34, RCP = 0x35, LIA = 0x36, CNS = 0x38, XCA = 0x41, TCR = 0x44, RCR = 0x45, LUA = 0x46, CNP = 0x48, CBD = 0x51, TFA = 0x54, LID = 0x56, CBA = 0x61, TCA = 0x64, TFAA = TCA, LFU = 0x66, LLT = 0x76, LLI = LLT, LRT = 0x86, LRI = LRT, } | ### Type

SNM Message type as defined by Q.704 Table 1

enum Group { CHM = 0x01, ECM = 0x02, FCM = 0x03, TFM = 0x04, RSM = 0x05, MIM = 0x06, TRM = 0x07, DLM = 0x08, UFC = 0x0a, } | ### Group

SNM Message group (H0) as defined by Q.704 15.3

SS7MsgSNM (unsigned char type) | ### SS7MsgSNM

Constructor

Parameters:

type | Message type

inline unsigned char type () | ### type

[const]

Get the type of this message

Returns: The type of this message

inline unsigned char group () | ### group

[const]

Get the group this message belongs to

Returns: This message's group

void toString (String& dest, const SS7Label& label, bool params) | ### toString

[const]

Fill a string with this message's parameters for debug purposes

Parameters:

dest | The destination string
label | The routing label
params | True to add parameters

Reimplemented from GenObject.

SS7MsgSNM* parse (SS7Management* receiver, unsigned char type, SS7PointCode::Type pcType, const unsigned char* buf, unsigned int len) | ### parse

[static]

Parse a received buffer and build a message from it

Parameters:

receiver | The SS7 management entity that received the MSU
type | Message type
pcType | The point code type contained in received MSU's label
buf | Buffer after message head
len | Buffer length

Returns: Valid message pointer of 0 on failure

const TokenDict* names () | ### names

[static]

Get the dictionary containing the names of the message type

inline const char* lookup (Type type, const char* defvalue = 0) | ### lookup

[static]

Convert a SNM message type to a C string

Parameters:

type | Type of SNM message to look up
defvalue | Default string to return

Returns: Name of the SNM message type

inline Type lookup (const char* name, Type defvalue = Unknown) | ### lookup

[static]

Look up a SNM message name

Parameters:

name | String name of the SNM message
defvalue | Default type to return

Returns: Encoded type of the SNM message

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.